Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class DispatchedHttpServletRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class DispatchedHttpServletRequest

extends javax.servlet.http.HttpServletRequestWrapper

Version:
  $Revision: 6903 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`DispatchedHttpServletRequest(RenderRequestImpl rreq, javax.servlet.http.HttpServletRequest dreq, java.lang.String path)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String s)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getCharacterEncoding()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getContextPath()`
`javax.servlet.http.Cookie[]` | `getCookies()`
`long` | `getDateHeader(java.lang.String s)`
`java.lang.String` | `getHeader(java.lang.String s)`
`java.util.Enumeration` | `getHeaderNames()`
`java.util.Enumeration` | `getHeaders(java.lang.String s)`
`javax.servlet.ServletInputStream` | `getInputStream()`
`int` | `getIntHeader(java.lang.String s)`
`java.lang.String` | `getLocalAddr()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getLocalName()`
`int` | `getLocalPort()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getPathTranslated()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getQueryString()`
`java.io.BufferedReader` | `getReader()`
`java.lang.String` | `getRealPath(java.lang.String s)`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`int` | `getRemotePort()`
`java.lang.String` | `getRemoteUser()`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String s)`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getRequestURI()`
`java.lang.StringBuffer` | `getRequestURL()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`java.lang.String` | `getServletPath()`
`javax.servlet.http.HttpSession` | `getSession()`
`javax.servlet.http.HttpSession` | `getSession(boolean b)`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isRequestedSessionIdFromCookie()`
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdFromURL()`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String s)`
`void` | `removeAttribute(java.lang.String s)`
`void` | `setAttribute(java.lang.String s, java.lang.Object o)`
`void` | `setCharacterEncoding(java.lang.String s)`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getRequest, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchedHttpServletRequest

    public DispatchedHttpServletRequest(RenderRequestImpl rreq,
                                        javax.servlet.http.HttpServletRequest dreq,
                                        java.lang.String path)

Method Detail

### getProtocol

    public java.lang.String getProtocol()

  Specified by:
    `getProtocol` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getProtocol` in class `javax.servlet.ServletRequestWrapper`

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Specified by:
    `getRemoteAddr` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemoteAddr` in class `javax.servlet.ServletRequestWrapper`

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemoteHost` in class `javax.servlet.ServletRequestWrapper`

### getRealPath

    public java.lang.String getRealPath(java.lang.String s)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRealPath` in class `javax.servlet.ServletRequestWrapper`

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  Specified by:
    `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestURL` in class `javax.servlet.http.HttpServletRequestWrapper`

### getPathInfo

    public java.lang.String getPathInfo()

  Specified by:
    `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getPathInfo` in class `javax.servlet.http.HttpServletRequestWrapper`

### getQueryString

    public java.lang.String getQueryString()

  Specified by:
    `getQueryString` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getQueryString` in class `javax.servlet.http.HttpServletRequestWrapper`

### getServletPath

    public java.lang.String getServletPath()

  Specified by:
    `getServletPath` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getServletPath` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRequestURI

    public java.lang.String getRequestURI()

  Specified by:
    `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestURI` in class `javax.servlet.http.HttpServletRequestWrapper`

### getPathTranslated

    public java.lang.String getPathTranslated()

  Specified by:
    `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getPathTranslated` in class `javax.servlet.http.HttpServletRequestWrapper`

### getScheme

    public java.lang.String getScheme()

  Specified by:
    `getScheme` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getScheme` in class `javax.servlet.ServletRequestWrapper`

### getServerName

    public java.lang.String getServerName()

  Specified by:
    `getServerName` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getServerName` in class `javax.servlet.ServletRequestWrapper`

### getServerPort

    public int getServerPort()

  Specified by:
    `getServerPort` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getServerPort` in class `javax.servlet.ServletRequestWrapper`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String s)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getAttribute` in class `javax.servlet.ServletRequestWrapper`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getAttributeNames` in class `javax.servlet.ServletRequestWrapper`

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletRequest`
  Overrides:
    `setAttribute` in class `javax.servlet.ServletRequestWrapper`

### removeAttribute

    public void removeAttribute(java.lang.String s)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletRequest`
  Overrides:
    `removeAttribute` in class `javax.servlet.ServletRequestWrapper`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocale` in class `javax.servlet.ServletRequestWrapper`

### getLocales

    public java.util.Enumeration getLocales()

  Specified by:
    `getLocales` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocales` in class `javax.servlet.ServletRequestWrapper`

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `javax.servlet.ServletRequest`
  Overrides:
    `isSecure` in class `javax.servlet.ServletRequestWrapper`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getAuthType` in class `javax.servlet.http.HttpServletRequestWrapper`

### getContextPath

    public java.lang.String getContextPath()

  Specified by:
    `getContextPath` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getContextPath` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRemoteUser` in class `javax.servlet.http.HttpServletRequestWrapper`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getUserPrincipal` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Specified by:
    `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestedSessionId` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  Specified by:
    `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdValid` in class `javax.servlet.http.HttpServletRequestWrapper`

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

### getParameterMap

    public java.util.Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getCharacterEncoding` in class `javax.servlet.ServletRequestWrapper`

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String s)
                              throws java.io.UnsupportedEncodingException

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Overrides:
    `setCharacterEncoding` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `java.io.UnsupportedEncodingException`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentLength` in class `javax.servlet.ServletRequestWrapper`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentType` in class `javax.servlet.ServletRequestWrapper`

### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getInputStream` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `java.io.IOException`

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.IOException

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getReader` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `java.io.IOException`

### getHeader

    public java.lang.String getHeader(java.lang.String s)

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String s)

  Specified by:
    `getHeaders` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeaders` in class `javax.servlet.http.HttpServletRequestWrapper`

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeaderNames` in class `javax.servlet.http.HttpServletRequestWrapper`

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Specified by:
    `getCookies` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getCookies` in class `javax.servlet.http.HttpServletRequestWrapper`

### getDateHeader

    public long getDateHeader(java.lang.String s)

  Specified by:
    `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getDateHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getIntHeader

    public int getIntHeader(java.lang.String s)

  Specified by:
    `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getIntHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getMethod` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String s)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRequestDispatcher` in class `javax.servlet.ServletRequestWrapper`

### isUserInRole

    public boolean isUserInRole(java.lang.String s)

  Specified by:
    `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isUserInRole` in class `javax.servlet.http.HttpServletRequestWrapper`

### getSession

    public javax.servlet.http.HttpSession getSession(boolean b)

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getSession` in class `javax.servlet.http.HttpServletRequestWrapper`

### getSession

    public javax.servlet.http.HttpSession getSession()

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getSession` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  Specified by:
    `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdFromCookie` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  Specified by:
    `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdFromURL` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  Specified by:
    `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdFromUrl` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRemotePort

    public int getRemotePort()

  Specified by:
    `getRemotePort` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemotePort` in class `javax.servlet.ServletRequestWrapper`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocalName` in class `javax.servlet.ServletRequestWrapper`

### getLocalAddr

    public java.lang.String getLocalAddr()

  Specified by:
    `getLocalAddr` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocalAddr` in class `javax.servlet.ServletRequestWrapper`

### getLocalPort

    public int getLocalPort()

  Specified by:
    `getLocalPort` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocalPort` in class `javax.servlet.ServletRequestWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD